package com.palmnest.dao.estateserve;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.InPuchaseUser;

import java.util.List;
import java.util.Map;

/**
 * Created by hxt on 2018/12/21.
 */
public interface NeigouDao extends GenericDao<Object, Long> {

	public InPuchaseUser getPuchaseUser(String openId, String developId, String mobile);

	List<Map<String, Object>> getVirListByUser(Integer publicId, String mobile);

	void quitNeigouLogin(String openId);

	List<Map<String, Object>> getCompanyListByMobile(String userMobile, String virName);

	void removeByMobile(String mobile);

	Boolean checkIsPutaway(int orgId, String serviceCode);

	InPuchaseUser getPuchaseUser(String userMobile);
}
